## org.eclipse.ocl.types.util
Class TypesAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ocl.types.util.TypesAdapterFactory

All Implemented Interfaces:
  AdapterFactory

    public class TypesAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `TypesPackage`

Field Summary
`protected static TypesPackage` `modelPackage` The cached model package
`protected TypesSwitch<Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`TypesAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createAnyTypeAdapter()` Creates a new adapter for an object of class '`Any Type`'
`Adapter` `createASTNodeAdapter()` Creates a new adapter for an object of class '`AST Node`'
`Adapter` `createBagTypeAdapter()` Creates a new adapter for an object of class '`Bag Type`'
`Adapter` `createCollectionTypeAdapter()` Creates a new adapter for an object of class '`Collection Type`'
`Adapter` `createElementTypeAdapter()` Creates a new adapter for an object of class '`Element Type`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createInvalidTypeAdapter()` Creates a new adapter for an object of class '`Invalid Type`'
`Adapter` `createMessageTypeAdapter()` Creates a new adapter for an object of class '`Message Type`'
`Adapter` `createOrderedSetTypeAdapter()` Creates a new adapter for an object of class '`Ordered Set Type`'
`Adapter` `createPredefinedTypeAdapter()` Creates a new adapter for an object of class '`Predefined Type`'
`Adapter` `createPrimitiveTypeAdapter()` Creates a new adapter for an object of class '`Primitive Type`'
`Adapter` `createSequenceTypeAdapter()` Creates a new adapter for an object of class '`Sequence Type`'
`Adapter` `createSetTypeAdapter()` Creates a new adapter for an object of class '`Set Type`'
`Adapter` `createTupleTypeAdapter()` Creates a new adapter for an object of class '`Tuple Type`'
`Adapter` `createTypedASTNodeAdapter()` Creates a new adapter for an object of class '`Typed AST Node`'
`Adapter` `createTypeTypeAdapter()` Creates a new adapter for an object of class '`Type Type`'
`Adapter` `createVoidTypeAdapter()` Creates a new adapter for an object of class '`Void Type`'
`boolean` `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static TypesPackage modelPackage

  The cached model package.

### modelSwitch

    protected TypesSwitch<Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### TypesAdapterFactory

    public TypesAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAnyTypeAdapter

    public Adapter createAnyTypeAdapter()

  Creates a new adapter for an object of class '`Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AnyType`

### createBagTypeAdapter

    public Adapter createBagTypeAdapter()

  Creates a new adapter for an object of class '`Bag Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BagType`

### createCollectionTypeAdapter

    public Adapter createCollectionTypeAdapter()

  Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionType`

### createElementTypeAdapter

    public Adapter createElementTypeAdapter()

  Creates a new adapter for an object of class '`Element Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ElementType`

### createInvalidTypeAdapter

    public Adapter createInvalidTypeAdapter()

  Creates a new adapter for an object of class '`Invalid Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvalidType`

### createMessageTypeAdapter

    public Adapter createMessageTypeAdapter()

  Creates a new adapter for an object of class '`Message Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageType`

### createOrderedSetTypeAdapter

    public Adapter createOrderedSetTypeAdapter()

  Creates a new adapter for an object of class '`Ordered Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedSetType`

### createPrimitiveTypeAdapter

    public Adapter createPrimitiveTypeAdapter()

  Creates a new adapter for an object of class '`Primitive Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveType`

### createSequenceTypeAdapter

    public Adapter createSequenceTypeAdapter()

  Creates a new adapter for an object of class '`Sequence Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SequenceType`

### createSetTypeAdapter

    public Adapter createSetTypeAdapter()

  Creates a new adapter for an object of class '`Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SetType`

### createTupleTypeAdapter

    public Adapter createTupleTypeAdapter()

  Creates a new adapter for an object of class '`Tuple Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleType`

### createTypeTypeAdapter

    public Adapter createTypeTypeAdapter()

  Creates a new adapter for an object of class '`Type Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeType`

### createVoidTypeAdapter

    public Adapter createVoidTypeAdapter()

  Creates a new adapter for an object of class '`Void Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VoidType`

### createPredefinedTypeAdapter

    public Adapter createPredefinedTypeAdapter()

  Creates a new adapter for an object of class '`Predefined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedType`

### createASTNodeAdapter

    public Adapter createASTNodeAdapter()

  Creates a new adapter for an object of class '`AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASTNode`

### createTypedASTNodeAdapter

    public Adapter createTypedASTNodeAdapter()

  Creates a new adapter for an object of class '`Typed AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedASTNode`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.